clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
clang::query::QueryParser::LexOrCompleteWord< T > Struct Template Reference
Collaboration diagram for clang::query::QueryParser::LexOrCompleteWord< T >:
[legend]

## Public Member Functions
| LexOrCompleteWord (QueryParser *P, StringRef Word, size_t WCP)
template<unsigned N>
LexOrCompleteWord & | Case (const char(&S)[N], const T &Value, bool IsCompletion=true)
T | Default (const T &Value) const

## Public Attributes
StringSwitch< T > | Switch
QueryParser * | P
StringRef | Word
size_t | WordCompletionPos

## Detailed Description

### template<typename T>
struct clang::query::QueryParser::LexOrCompleteWord< T >

Definition at line 52 of file QueryParser.cpp.

## Constructor & Destructor Documentation

template<typename T>

clang::query::QueryParser::LexOrCompleteWord< T >::LexOrCompleteWord | ( | QueryParser * | P,
|  | StringRef | Word,
|  | size_t | WCP
| ) |  |
| inline

Definition at line 61 of file QueryParser.cpp.

## Member Function Documentation

template<typename T>
template<unsigned N>

LexOrCompleteWord& clang::query::QueryParser::LexOrCompleteWord< T >::Case | ( | const char(&) | S[N],
|  | const T & | Value,
|  | bool | IsCompletion = `true`
| ) |  |
| inline

Definition at line 65 of file QueryParser.cpp.

template<typename T>

T clang::query::QueryParser::LexOrCompleteWord< T >::Default | ( | const T & | Value | ) | const
| inline

Definition at line 79 of file QueryParser.cpp.

## Member Data Documentation

template<typename T>

QueryParser* clang::query::QueryParser::LexOrCompleteWord< T >::P

Definition at line 55 of file QueryParser.cpp.

template<typename T>

StringSwitch<T> clang::query::QueryParser::LexOrCompleteWord< T >::Switch

Definition at line 53 of file QueryParser.cpp.

template<typename T>

StringRef clang::query::QueryParser::LexOrCompleteWord< T >::Word

Definition at line 56 of file QueryParser.cpp.

template<typename T>

size_t clang::query::QueryParser::LexOrCompleteWord< T >::WordCompletionPos

Definition at line 59 of file QueryParser.cpp.

The documentation for this struct was generated from the following file:

- QueryParser.cpp